summaryrefslogtreecommitdiff
path: root/tcwg-benchmark.sh
diff options
context:
space:
mode:
authorChristophe Lyon <christophe.lyon@linaro.org>2017-08-25 13:49:27 +0000
committerChristophe Lyon <christophe.lyon@linaro.org>2017-08-28 09:22:25 +0000
commit045cc60fd6fc98cac7d3a81dff5faf82381c7e3a (patch)
tree2f0ddfab4e025f0e1ce8ce149f5e8ac9998f85a1 /tcwg-benchmark.sh
parent369815777eeff5aa5b1647d14eddb62a3346a729 (diff)
tcwg-benchmark.sh: Ignore ssh error when rebooting the board.
Indeed, 'ssh board reboot' leads to an error message: Connection to tcwg-tx1-08.tcwglab closed by remote host and a non-zero return code, resulting in a early abort of the script because we use 'set -e'. Ignoring the error code will enable the script to continue. Change-Id: Ifd25827d31d0a650ff94c324e51d3c3fda034cf6
Diffstat (limited to 'tcwg-benchmark.sh')
-rwxr-xr-xtcwg-benchmark.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/tcwg-benchmark.sh b/tcwg-benchmark.sh
index e45feea7..634b9428 100755
--- a/tcwg-benchmark.sh
+++ b/tcwg-benchmark.sh
@@ -111,7 +111,7 @@ rsync -az --delete bmk-scripts/ "$boardname:bmk-scripts/"
if $reboot; then
# Reboot the board
- ssh $boardname sudo /sbin/reboot
+ ssh $boardname sudo /sbin/reboot || true
# Wait until the ssh server is ready
sleep 30 # Give time to the board to shutdown
ret=0